Session failed to load with 12.10 kernel on 12.04 test

Bug #1011828 reported by Carla Sella on 2012-06-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux
Invalid
Medium
NVIDIA Drivers Ubuntu
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Alberto Milone
Quantal
Undecided
Unassigned

Bug Description

I was testing 12.10 kernel on 12.04 (see http://packages.qa.dev.stgraber.org/qatracker/milestones/223/builds/16265/testcases/1301/results) but after having installed the kernel and booted my PC I could not login to my session, I got this error message:
"failed to load session "ubuntu"".
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: letozaf 2218 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xdbff8000 irq 22'
   Mixer name : 'Analog Devices AD1988'
   Components : 'HDA:11d41988,10438241,00100400'
   Controls : 38
   Simple ctrls : 22
CurrentDmesg:
 [ 23.081261] vboxdrv: fAsync=1 offMin=0x14c7d offMax=0x14c7d
 [ 23.081346] vboxdrv: TSC mode is 'asynchronous', kernel timer mode is 'normal'.
 [ 23.081348] vboxdrv: Successfully loaded version 4.1.16 (interface 0x00190000).
 [ 23.293920] vboxpci: IOMMU not found (not registered)
 [ 33.208040] eth0: no IPv6 routers present
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=aa591f66-2a28-435e-8570-155157c9a301
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: System manufacturer System Product Name
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=85f8c649-a0b7-4899-8b56-cf85fbe7f8e5 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-24.39-generic 3.2.16
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic N/A
 linux-backports-modules-3.2.0-24-generic N/A
 linux-firmware 1.79
RfKill:

SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-24-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dip lpadmin plugdev sambashare sudo vboxusers
dmi.bios.date: 05/28/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0702
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2N
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0702:bd05/28/2007:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2N:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: letozaf 2218 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xdbff8000 irq 22'
   Mixer name : 'Analog Devices AD1988'
   Components : 'HDA:11d41988,10438241,00100400'
   Controls : 38
   Simple ctrls : 22
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=aa591f66-2a28-435e-8570-155157c9a301
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: System manufacturer System Product Name
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=85f8c649-a0b7-4899-8b56-cf85fbe7f8e5 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-24.39-generic 3.2.16
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic N/A
 linux-backports-modules-3.2.0-24-generic N/A
 linux-firmware 1.79
RfKill:

SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-24-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dip lpadmin plugdev sambashare sudo vboxusers
dmi.bios.date: 05/28/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0702
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2N
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0702:bd05/28/2007:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2N:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
---
AcpiTables: Error: command ['gksu', '-D', 'Apport', '--', 'env', '-u', 'LANGUAGE', 'LC_MESSAGES=C', '/usr/share/apport/dump_acpi_tables.py'] failed with exit code 255:
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: letozaf 2218 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xdbff8000 irq 22'
   Mixer name : 'Analog Devices AD1988'
   Components : 'HDA:11d41988,10438241,00100400'
   Controls : 38
   Simple ctrls : 22
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=aa591f66-2a28-435e-8570-155157c9a301
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: System manufacturer System Product Name
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=85f8c649-a0b7-4899-8b56-cf85fbe7f8e5 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-24.39-generic 3.2.16
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic N/A
 linux-backports-modules-3.2.0-24-generic N/A
 linux-firmware 1.79
RfKill:

SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-24-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dip lpadmin plugdev sambashare sudo vboxusers
dmi.bios.date: 05/28/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0702
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2N
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0702:bd05/28/2007:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2N:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: letozaf 2785 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xdbff8000 irq 22'
   Mixer name : 'Analog Devices AD1988'
   Components : 'HDA:11d41988,10438241,00100400'
   Controls : 38
   Simple ctrls : 22
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=aa591f66-2a28-435e-8570-155157c9a301
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
MachineType: System manufacturer System Product Name
Package: linux (not installed)
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.4.0-4-generic root=UUID=85f8c649-a0b7-4899-8b56-cf85fbe7f8e5 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.4.0-4.9~precise1-generic 3.4.0
RelatedPackageVersions:
 linux-restricted-modules-3.4.0-4-generic N/A
 linux-backports-modules-3.4.0-4-generic N/A
 linux-firmware 1.79
RfKill:

Tags: precise
Uname: Linux 3.4.0-4-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dip lpadmin plugdev sambashare sudo vboxusers
dmi.bios.date: 05/28/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0702
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2N
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0702:bd05/28/2007:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2N:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

apport information

tags: added: apport-collected precise
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

description: updated

-display
        description: VGA compatible controller

        product: G86 [GeForce 8400 GS] vendor: nVidia Corporation physical id: 0 bus info: pci@0000:02:00.0 version: a1 width: 64 bits clock: 33MHz capabilities: pm msi pciexpress vga_controller bus_master cap_list rom configuration: driver=nvidia latency=0 resources: irq:19 memory:df000000-dfffffff memory:c0000000-cfffffff memory:dc000000-ddffffff ioport:ec00(size=128) memory:defe0000-deffffff

Brad Figg (brad-figg) on 2012-06-11
Changed in linux (Ubuntu):
status: New → Confirmed

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.5kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc2-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
tags: added: needs-upstream-testing
Carla Sella (carla-sella) wrote :

I installed kernel v3.5-rc2-quantal as you asked me, but when I started my PC with it I had the same exact problem as with 12.10 kernel, same errore message when I try to logon to my account.

tags: removed: needs-upstream-testing
tags: added: kernel-bug-exists-upstream
Carla Sella (carla-sella) wrote :

ps: could not mark the bug "confirmed" as it was alredy marked "confirmed".

Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Carla Sella (carla-sella) wrote :

Ok, I will open a upstream bug report and report back the upstream bug number.

Carla Sella (carla-sella) wrote :

I reported the bug on bugzilla.kernel.org:
https://bugzilla.kernel.org/show_bug.cgi?id=43401

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Carla Sella (carla-sella) wrote :

I got an answer from bugzilla.kernel.org:

https://bugzilla.kernel.org/show_bug.cgi?id=43401

seems like this problem has nothing to do with the kernel and they marked my bug report as invalid.

Joseph Salisbury (jsalisbury) wrote :

@Carla,

Just to confirm, if you boot back in to the 12.04 kernel, the bug goes away?

Changed in linux (Ubuntu):
status: Triaged → Confirmed
Carla Sella (carla-sella) wrote :

Yes, when I boot back in to the 12.04 kernel the bug goes away.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test some kernels, so we can identify which kernel introduced this regression? If so, it would be great if you could test the following kernels:

v3.3 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-precise/
v3.4 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-quantal/

Thanks in advance

tags: added: performing-bisect
Changed in linux (Ubuntu):
importance: Medium → High
Carla Sella (carla-sella) wrote :

I booted my PC in to kernel v.3.3 final and I could log on to my session, so the bug was not present in v.3.3 kernel.
When I booted my PC in to kernel 3.4 final I could not log on to my session and got the same error message as reported in the bug description, so definitely the bug is present in kernel 3.4.
I noticed one thing, if this could be of any help, when I booted my PC in to kernel 3.4 final, I could not get to terminal pressing CTRL+ALT+F1, normally when you press CTRL+ALT+F1 you get a terminal where you can log on and enter the command line.
I pressed CTRL+ALT+F1 when I was on the logon screen, where you have to enter your password to enter your session.

Joseph Salisbury (jsalisbury) wrote :

Can you also test some of the early v3.4 release candidates, for example:

v3.4-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc1-precise/
v3.4-rc2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc2-precise/

Carla Sella (carla-sella) wrote :
Download full text (9.8 KiB)

I tested both v3.4-rc1 and v3.4-rc2 and the bug is on both rc, I could not log on to my session and get the same error message.
I noticed one thing, if it can help, I get some error messages while launching dpkg -i to install the rc1 and rc2 kernels:

This is the console output for rc1:

letozaf@letozaf-pc:~/Downloads/kernel/3.4 rc1$ sudo dpkg -i *.deb
(Reading database ... 501490 files and directories currently installed.)
Preparing to replace linux-headers-3.4.0-030400rc1 3.4.0-030400rc1.201203312035 (using linux-headers-3.4.0-030400rc1_3.4.0-030400rc1.201203312035_all.deb) ...
Unpacking replacement linux-headers-3.4.0-030400rc1 ...
Preparing to replace linux-headers-3.4.0-030400rc1-generic 3.4.0-030400rc1.201203312035 (using linux-headers-3.4.0-030400rc1-generic_3.4.0-030400rc1.201203312035_amd64.deb) ...
Unpacking replacement linux-headers-3.4.0-030400rc1-generic ...
Preparing to replace linux-image-3.4.0-030400rc1-generic 3.4.0-030400rc1.201203312035 (using linux-image-3.4.0-030400rc1-generic_3.4.0-030400rc1.201203312035_amd64.deb) ...
Done.
Unpacking replacement linux-image-3.4.0-030400rc1-generic ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.4.0-030400rc1-generic /boot/vmlinuz-3.4.0-030400rc1-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.4.0-030400rc1-generic /boot/vmlinuz-3.4.0-030400rc1-generic
Setting up linux-headers-3.4.0-030400rc1 (3.4.0-030400rc1.201203312035) ...
Setting up linux-headers-3.4.0-030400rc1-generic (3.4.0-030400rc1.201203312035) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.4.0-030400rc1-generic /boot/vmlinuz-3.4.0-030400rc1-generic
ERROR (dkms apport): kernel package linux-headers-3.4.0-030400rc1-generic is not supported
Error! Bad return status for module build on kernel: 3.4.0-030400rc1-generic (x86_64)
Consult /var/lib/dkms/nvidia-current/295.40/build/make.log for more information.
ERROR (dkms apport): kernel package linux-headers-3.4.0-030400rc1-generic is not supported
Error! Bad return status for module build on kernel: 3.4.0-030400rc1-generic (x86_64)
Consult /var/lib/dkms/nvidia-current-updates/295.49/build/make.log for more information.
Setting up linux-image-3.4.0-030400rc1-generic (3.4.0-030400rc1.201203312035) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
The link /initrd.img is a dangling linkto /boot/initrd.img-3.4.0-030400rc1-generic
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.4.0-030400rc1-generic /boot/vmlinuz-3.4.0-030400rc1-generic
ERROR (dkms apport): kernel package linux-headers-3.4.0-030400rc1-generic is not supported
ERROR (dkms apport): kernel package linux-headers-3.4.0-030400rc1-generic is not supported
Error! Bad return status for module build on kernel: 3.4.0-030400rc1-generic (x86_64)
Consult /var/lib/dkms/nvidia-current-updates/295.49/build/make.log for more information.
Error! Bad return status for module build on kernel: 3.4.0-030400rc1-generic (x86_64)
Consult /var/lib/dkms/nvidia-current/295.40/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/ini...

Carla Sella (carla-sella) wrote :

Tell me if you need to test other rc.

Joseph Salisbury (jsalisbury) wrote :

Can you test the latest v3.3 stable version, which is version 3.3.8:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3.8-quantal/

If If that also doen't have the bug, we can bisect between v3.3 final an v3.4-rc1

Changed in linux:
status: Confirmed → Invalid
Carla Sella (carla-sella) wrote :

#54: Ok , I am at work now, I will do it this evening when I get home.

Carla Sella (carla-sella) wrote :
Download full text (6.4 KiB)

I booted my PC in to kernel version 3.3.8 and everything was fine, no error and I could log on to my session.

If of any help this is the output of the dpkg command for installing the kernel, it has no errors unlike the ones that gave me the error:

letozaf@letozaf-pc:~/Downloads/kernel/3.3.8$ sudo dpkg -i *.deb
[sudo] password for letozaf:
Selecting previously unselected package linux-headers-3.3.8-030308.
(Reading database ... 527753 files and directories currently installed.)
Unpacking linux-headers-3.3.8-030308 (from linux-headers-3.3.8-030308_3.3.8-030308.201206041356_all.deb) ...
Selecting previously unselected package linux-headers-3.3.8-030308-generic.
Unpacking linux-headers-3.3.8-030308-generic (from linux-headers-3.3.8-030308-generic_3.3.8-030308.201206041356_amd64.deb) ...
Selecting previously unselected package linux-image-3.3.8-030308-generic.
Unpacking linux-image-3.3.8-030308-generic (from linux-image-3.3.8-030308-generic_3.3.8-030308.201206041356_amd64.deb) ...
Done.
Selecting previously unselected package linux-image-extra-3.3.8-030308-generic.
Unpacking linux-image-extra-3.3.8-030308-generic (from linux-image-extra-3.3.8-030308-generic_3.3.8-030308.201206041356_amd64.deb) ...
Setting up linux-headers-3.3.8-030308 (3.3.8-030308.201206041356) ...
Setting up linux-headers-3.3.8-030308-generic (3.3.8-030308.201206041356) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.3.8-030308-generic /boot/vmlinuz-3.3.8-030308-generic
Setting up linux-image-3.3.8-030308-generic (3.3.8-030308.201206041356) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.3.8-030308-generic /boot/vmlinuz-3.3.8-030308-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.3.8-030308-generic /boot/vmlinuz-3.3.8-030308-generic
update-initramfs: Generating /boot/initrd.img-3.3.8-030308-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.3.8-030308-generic /boot/vmlinuz-3.3.8-030308-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.3.8-030308-generic /boot/vmlinuz-3.3.8-030308-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.3.8-030308-generic /boot/vmlinuz-3.3.8-030308-generic
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.5.0-030500rc2-generic
Found initrd image: /boot/initrd.img-3.5.0-030500rc2-generic
Found linux image: /boot/vmlinuz-3.4.0-030400rc2-generic
Found initrd image: /boot/initrd.img-3.4.0-030400rc2-generic
Found linux image: /boot/vmlinuz-3.4.0-030400rc1-generic
Found initrd image: /boot/initrd.img-3.4.0-030400rc1-generic
Found linux image: /boot/vmlinuz-3.4.0-030400-generic
Found initrd image: /boot/initrd.img-3.4.0-030400-generic
Found linux image: /boot/vmlinuz-3.3.8-030308-generic
Found initrd image: /boot/initrd.img-3.3.8-030308-generic
Found linux image: /boot/vmlinuz-3.3.0-030300-generic
Found initrd image: /boot/initrd.img-3.3.0-030300-generic
Found linux image: /boot/vmlinuz-3.2.0-25-generic
Found initrd image: /boot/initrd.img-3.2.0-25-generic
Found linux image: /boot/vmlinuz-3.2.0-24-generic...

Read more...

Carla Sella (carla-sella) wrote :

Also on today's test (3 July 2012) I'm still having the same problem:
http://packages.qa.ubuntu.com/qatracker/milestones/223/builds/17839/testcases/1306/results.

Carla Sella (carla-sella) wrote :

I tried to uninstall Nvidia drivers and rebooted my PC to kernel 3.5.0-2-generic #2~precise1-Ubuntu, now my PC is using nouveau drivers and I can logon to my session perfectly.

Joseph Salisbury (jsalisbury) wrote :

And if you re-install the Nvidia drivers the problem comes back?

Carla Sella (carla-sella) wrote :

Yes, if I re-install the Nvidia drivers the problem comes back.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu Package testing tracker.

A list of all reports related to this bug can be found here:
http://packages.qa.ubuntu.com/qatracker/reports/bugs/1011828

tags: added: package-qa-testing
Carla Sella (carla-sella) wrote :

Today testing kernel 3.5.0-3-generic I had the same exact problems:
If I use Nvidia drivers I am not able to logon to my session, If I use nouveau drivers the bug goes away.
http://packages.qa.ubuntu.com/qatracker/milestones/223/builds/18187/testcases/1306/results.

Joseph Salisbury (jsalisbury) wrote :

Unfortunately, There isn't much more we can do on the kernel side because of the proprietary nature of the Nvidia driver. Since we can't look at the code and figure out what's wrong and fix it. It might be best to also open a bug with the Nvidia developers.

Carla Sella (carla-sella) wrote :

Ok.
I took a look on Nvidia's site: http://nvidia.custhelp.com/app/answers/detail/a_id/44 and found out that bugs have to be reported to: <email address hidden>, so I sent a mail, I'm attaching a copy here.
Hope this is ok.

Carla Sella (carla-sella) wrote :

Same problem on kernel 3.5.0-4.

Changed in linux (Ubuntu):
importance: High → Medium
status: Confirmed → Triaged
tags: removed: performing-bisect
Carla Sella (carla-sella) wrote :

I found out that on kernel 3.5.0-13.13 and on kernel 3.5.0-13.14 I cannot logon to my session if I have "Nvidia-current 295.49-0ubuntu" drivers installed if I use "Nvidia-173 173.14.35-0ubuntu" instead I can logon to my session.
So the faulty Nvidia drivers are the current ones.
See testcase:http://packages.qa.ubuntu.com/qatracker/milestones/223/builds/22082/testcases/1306/results.

Carla Sella (carla-sella) wrote :

Also on kernel 3.5.0-14.15 I'm having same problems as on comment #74.
See testcase: http://packages.qa.ubuntu.com/qatracker/milestones/223/builds/22689/testcases/1306/results.

Carla Sella (carla-sella) wrote :

I think bug #1047843 and this one are related.

Carla Sella (carla-sella) wrote :

Also on kernel 3.5.0-14.18 I'm having same problems as on comment #74.

Carla Sella (carla-sella) wrote :

Also on kernel 3.5.0-15.20 I'm having same problems as on comment #74.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1011828

tags: added: iso-testing
summary: - Session failed to laod with 12.10 kernel on 12.04 test
+ Session failed to load with 12.10 kernel on 12.04 test
Carla Sella (carla-sella) wrote :

Also on kernel 3.5.0-16.25 I'm having same problems as on comment #74.

Carla Sella (carla-sella) wrote :

 Also on kernel 3.5.0-17.26 I'm having same problems as on comment #74.

Carla Sella (carla-sella) wrote :

I found out that the message that I get: "Session failed to load" happens when I install Nvidia-current drivers as said in comment #74, but when I get this message, if I logon to a terminal I can see that there is no graphic driver Nvidia or Nouveau see attached lsmod.txt file, but if I run dpkg --list *nvidia* I can see that ther are installed see attached dpkg.txt file.
I have to remove them to logon to my session.

Carla Sella (carla-sella) wrote :

I found out that the message that I get: "Session failed to load" happens when I install Nvidia-current drivers as said in comment #74, but when I get this message, if I logon to a terminal I can see that there is no graphic driver Nvidia or Nouveau see attached lsmod.txt file, but if I run dpkg --list *nvidia* I can see that ther are installed see attached dpkg.txt file.
I have to remove them to logon to my session.

Carla Sella (carla-sella) wrote :
Carla Sella (carla-sella) wrote :

This looks like it's the same problem as bug # 1062846.

Hello Carla, or anyone else affected,

Accepted nvidia-graphics-drivers into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-graphics-drivers/295.40-0ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in linux (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Changed in nvidia-graphics-drivers (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in linux (Ubuntu Precise):
assignee: Alberto Milone (albertomilone) → nobody
Carla Sella (carla-sella) wrote :

Hello Colin,
I have tested the "Nvidia-current 304.51.really.304.43- amd64" driver on Ubuntu Quantal and up to kernel 3.5.0.19 they did not work, they started working on kernel 3.5.0.21 and 3.5.0.22.
I will now test them on Ubuntu Precise and let you know, I just have to re-install Precise to try them out.

Carla Sella (carla-sella) wrote :

Hello Colin,
I have tested the Nvidia-current 295.40 drivers on Ubuntu Precise with kernel 3.5.0-21 everything is fine, I could install the drivers, reboot and use them correctly.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers - 295.40-0ubuntu1.2

---------------
nvidia-graphics-drivers (295.40-0ubuntu1.2) precise-proposed; urgency=low

  * Add support for kernel 3.4 (LP: #1011828). This will
    make sure that the driver can build against Quantal's
    kernel.
  * debian/control{.in}:
    - Add optional dependency on linux-headers-generic-lts-quantal.
 -- Alberto Milone <email address hidden> Fri, 14 Dec 2012 19:18:12 +0100

Changed in nvidia-graphics-drivers (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Triaged → Invalid
no longer affects: linux (Ubuntu Quantal)
no longer affects: linux (Ubuntu Precise)
Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in nvidia-graphics-drivers (Ubuntu Quantal):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.